using Protogame;
using Protoinject;

namespace SuperBallBrawlers
{
    public class SuperBallBrawlersModule : IProtoinjectModule
    {
        public void Load(IKernel kernel)
        {
            kernel.Bind<IEntityFactory>().ToFactory();

            kernel.Bind<IAssetManager>().ToMethod(x => x.Kernel.Get<IAssetManagerProvider>().GetAssetManager());

            kernel.Bind<IEventBinder<IGameContext>>().To<DesktopEventBinder>();
        }
    }
}

